Bernard El-Hagin wrote:
Kris Kennaway <[EMAIL PROTECTED]> wrote:

On Tue, Feb 24, 2004 at 07:44:45AM +0100, Bernard El-Hagin wrote:

Since I have this same problem I ran 'make describe' and here's the
result:

-------------
===> devel/sparc-rtems-gdb
*** Error code 1

Stop in /usr/ports/devel.
*** Error code 1

Stop in /usr/ports.
-------------

What version of FreeBSD are you running?

Sorry, I should have mentioned that. I'm running 5.1-Release.

I think there's something in one of the included makefiles that relies on a change to make(1) that happened after 5.1-RELEASE. Note that only the most recent release is supported by the ports collection (http://www.freebsd.org/ports); try updating to 5.2 or 4.9, which should fix the problem.

Wow, that really sucks, since I've had zero luck updating to 5.2 the two times I tried, and going with 4.9 from 5.1R means a reinstall, rather than an upgrade (I'm led to believe).

If you have the OS sources installed you could selectively upgrade the source files of make(1) via cvsup(1) and just install it. No need to upgrade the whole OS only because make(1) got an additional command line option. We recently did this for our 4.5 based systems.


   Uwe
--
Uwe Doering         |  EscapeBox - Managed On-Demand UNIX Servers
[EMAIL PROTECTED]  |  http://www.escapebox.net
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to